com.google.gwt.xml.client

## Interface Document

All Superinterfaces:
  Node

    public interface Document
    extends Node

`Document` objects represent XML documents. Each `Document` can contain exactly one `Element` node, and any number of other node types.

### Field Summary

### Fields inherited from interface com.google.gwt.xml.client.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`CDATASection` `createCDATASection(java.lang.String data)` This method creates a new `CDATASection`.
`Comment` `createComment(java.lang.String data)` This method creates a new `Comment`.
`DocumentFragment` `createDocumentFragment()` This method creates a new `DocumentFragment`.
`Element` `createElement(java.lang.String tagName)` This method creates a new `Element`.
`ProcessingInstruction` `createProcessingInstruction(java.lang.String target, java.lang.String data)` This method creates a new `ProcessingInstruction`.
`Text` `createTextNode(java.lang.String data)` This method creates a new `Text`.
`Element` `getDocumentElement()` This method retrieves the document element.
`Element` `getElementById(java.lang.String elementId)` This method retrieves the unique descendent elements which has an id of `elementId`.
`NodeList` `getElementsByTagName(java.lang.String tagname)` This method retrieves any descendent elements which have a tag name of `tagname`.
`Node` `importNode(Node importedNode, boolean deep)` This method imports a node into the current `Document`.

### Methods inherited from interface com.google.gwt.xml.client.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`

### Method Detail

#### createCDATASection

    CDATASection createCDATASection(java.lang.String data)

This method creates a new `CDATASection`.

Parameters:
  `data` - the data of the new `CDATASection`
Returns:
  the newly created `CDATASection`

#### createComment

    Comment createComment(java.lang.String data)

This method creates a new `Comment`.

Parameters:
  `data` - the data of the new `Comment`
Returns:
  the newly created `Comment`

#### createDocumentFragment

    DocumentFragment createDocumentFragment()

This method creates a new `DocumentFragment`.

Returns:
  the newly created `DocumentFragment`

#### createElement

    Element createElement(java.lang.String tagName)

This method creates a new `Element`.

Parameters:
  `tagName` - the tag name of the new `Element`
Returns:
  the newly created `Element`

#### createProcessingInstruction

    ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                      java.lang.String data)

This method creates a new `ProcessingInstruction`.

Parameters:
  `target` - the target of the new `ProcessingInstruction`
  `data` - the data of the new `ProcessingInstruction`
Returns:
  the newly created `ProcessingInstruction`

#### createTextNode

    Text createTextNode(java.lang.String data)

This method creates a new `Text`.

Parameters:
  `data` - the data of the new `Text`
Returns:
  the newly created `Text`

#### getDocumentElement

    Element getDocumentElement()

This method retrieves the document element. Each document has at most one `Element` as its direct child, and this node is returned if it exists. `null` is returned otherwise.

Returns:
  the document element of this `Document`

#### getElementById

    Element getElementById(java.lang.String elementId)

This method retrieves the unique descendent elements which has an id of `elementId`. Note the attribute which is used as an ID must be supplied in the DTD of the document. It is not sufficient to give the `Element` to be retrieved an attribute named 'id'.

Returns:
  the `Element` which has an id of `elementId` and belongs to this `Document`

#### getElementsByTagName

    NodeList getElementsByTagName(java.lang.String tagname)

This method retrieves any descendent elements which have a tag name of `tagname`.

Returns:
  the `NodeList` of elements which has a tag name of `tagname` and belong to this `Document`

#### importNode

    Node importNode(Node importedNode,
                    boolean deep)

This method imports a node into the current `Document`.

Parameters:
  `deep` - whether to recurse to children
Returns:
  the node `Node` imported